Sign Up

Interpreter

GET
/process/interpreter/context

Returns information about all user-created interpreter contexts (excludes default context)

Response Body

OK

application/json
  1. response
contexts*array<>
curl -X GET 'https://example.com/process/interpreter/context'
{  "contexts": [    {      "active": true,      "createdAt": "string",      "cwd": "string",      "id": "string",      "language": "string"    }  ]}
POST
/process/interpreter/context

Creates a new isolated interpreter context with optional working directory and language

Request Body

Context configuration

application/json
  1. body
cwd?string
language?string

Response Body

OK

application/json
  1. response
active*boolean
createdAt*string
cwd*string
id*string
language*string
curl -X POST 'https://example.com/process/interpreter/context' \  -H 'Content-Type: application/json' \  -d '{}'
{  "active": true,  "createdAt": "string",  "cwd": "string",  "id": "string",  "language": "string"}
DELETE
/process/interpreter/context/{id}

Deletes an interpreter context and shuts down its worker process

Path Parameters

id*string

Context ID

Response Body

OK

application/json
  1. response
[key: string]?string
curl -X DELETE 'https://example.com/process/interpreter/context/string'
{  "property1": "string",  "property2": "string"}
GET
/process/interpreter/execute

Executes code in a specified context (or default context if not specified) via WebSocket streaming

Response Body

Switching Protocols

response?stringapplication/json
curl -X GET 'https://example.com/process/interpreter/execute'
"string"